name: Varbase Media - Default
description: A recipe to manage default installed modules, configs and permissions.
type: install
config:
  actions:
    user.role.anonymous:
      grantPermissions:
        - 'view media'
    user.role.authenticated:
      grantPermissions:
        - 'delete own audio media'
        - 'delete own file media'
        - 'delete own gallery media'
        - 'delete own image media'
        - 'delete own remote_video media'
        - 'delete own video media'
        - 'edit own audio media'
        - 'edit own file media'
        - 'edit own gallery media'
        - 'edit own image media'
        - 'edit own remote_video media'
        - 'edit own video media'
        - 'delete media'
        - 'update media'
        - 'view media'
        - 'view own unpublished media'
    user.role.editor:
      grantPermissions:
        - 'create audio media'
        - 'create file media'
        - 'create gallery media'
        - 'create image media'
        - 'create remote_video media'
        - 'create video media'
        - 'delete any audio media'
        - 'delete any file media'
        - 'delete any gallery media'
        - 'delete any image media'
        - 'delete any remote_video media'
        - 'delete any video media'
        - 'edit any audio media'
        - 'edit any file media'
        - 'edit any gallery media'
        - 'edit any image media'
        - 'edit any remote_video media'
        - 'edit any video media'
        - 'access media overview'
        - 'create media'
        - 'update any media'
        - 'view all media revisions'
        - 'access files overview'
        - 'dropzone upload files'
        - 'access editor_media_browser entity browser pages'
        - 'access editor_multiple_image_browser entity browser pages'
        - 'access editor_multiple_media_browser entity browser pages'
        - 'access image_browser entity browser pages'
        - 'access media_browser entity browser pages'
        - 'access multiple_image_browser entity browser pages'
        - 'access multiple_media_browser entity browser pages'
        - 'access video_browser entity browser pages'
        - 'use media_bulk_upload bulk upload form'
        - 'access entity usage statistics'
    user.role.content_admin:
      grantPermissions:
        - 'create audio media'
        - 'create file media'
        - 'create gallery media'
        - 'create image media'
        - 'create remote_video media'
        - 'create video media'
        - 'delete any audio media'
        - 'delete any file media'
        - 'delete any gallery media'
        - 'delete any image media'
        - 'delete any remote_video media'
        - 'delete any video media'
        - 'edit any audio media'
        - 'edit any file media'
        - 'edit any gallery media'
        - 'edit any image media'
        - 'edit any remote_video media'
        - 'edit any video media'
        - 'access media overview'
        - 'create media'
        - 'delete any media'
        - 'update any media'
        - 'view all media revisions'
        - 'access files overview'
        - 'dropzone upload files'
        - 'access editor_media_browser entity browser pages'
        - 'access editor_multiple_image_browser entity browser pages'
        - 'access editor_multiple_media_browser entity browser pages'
        - 'access image_browser entity browser pages'
        - 'access media_browser entity browser pages'
        - 'access multiple_image_browser entity browser pages'
        - 'access multiple_media_browser entity browser pages'
        - 'access video_browser entity browser pages'
        - 'use media_bulk_upload bulk upload form'
        - 'clone media entity'
        - 'access entity usage statistics'
    user.role.seo_admin:
      grantPermissions:
        - 'view all media revisions'
        - 'access files overview'
        - 'dropzone upload files'
        - 'access editor_media_browser entity browser pages'
        - 'access editor_multiple_image_browser entity browser pages'
        - 'access editor_multiple_media_browser entity browser pages'
        - 'access image_browser entity browser pages'
        - 'access media_browser entity browser pages'
        - 'access multiple_image_browser entity browser pages'
        - 'access multiple_media_browser entity browser pages'
        - 'access video_browser entity browser pages'
        - 'use media_bulk_upload bulk upload form'
        - 'access entity usage statistics'
    user.role.site_admin:
      grantPermissions:
        - 'create audio media'
        - 'create file media'
        - 'create gallery media'
        - 'create image media'
        - 'create remote_video media'
        - 'create video media'
        - 'delete any audio media'
        - 'delete any file media'
        - 'delete any gallery media'
        - 'delete any image media'
        - 'delete any remote_video media'
        - 'delete any video media'
        - 'edit any audio media'
        - 'edit any file media'
        - 'edit any gallery media'
        - 'edit any image media'
        - 'edit any remote_video media'
        - 'edit any video media'
        - 'access media overview'
        - 'create media'
        - 'delete any media'
        - 'update any media'
        - 'view all media revisions'
        - 'access files overview'
        - 'dropzone upload files'
        - 'access editor_media_browser entity browser pages'
        - 'access editor_multiple_image_browser entity browser pages'
        - 'access editor_multiple_media_browser entity browser pages'
        - 'access image_browser entity browser pages'
        - 'access media_browser entity browser pages'
        - 'access multiple_image_browser entity browser pages'
        - 'access multiple_media_browser entity browser pages'
        - 'access video_browser entity browser pages'
        - 'use media_bulk_upload bulk upload form'
        - 'clone media entity'
        - 'access entity usage statistics'
